Summary: FileRunner is an X11 file manager for Unix. It is simple and efficient and has a built-in FTP client.
Name: FileRunner
Version: 2.5
Release: 4jb_rh

Source0: ftp://sunsite.unc.edu/pub/Linux/X11/desktop/FileRunner-2.5.tar.gz
Source1: fr.wmconfig

Patch: FileRunner-2.4.2-ppc.patch
Patch1: FileRunner-2.5-jp0.patch

URL: http://www.cd.chalmers.se/~hch/filerunner.html
Copyright: GPL
Requires: libtcl8.0jp.so, libtk8.0jp.so
Group: X11/Applications

Packager: Kaoru Fukui <fukui@ppc.linux.or.jp>

Requires    : glibc >= 2.0.108
Vendor      : Japanese PPC Linux Users' Group
Distribution: unofficial JRPM (public beta)


Prefix: /usr
Buildroot: /var/tmp/FileRunner-2.5
ExcludeArch: sparc alpha powerpc

%changelog
* Thu Jan 28 1999 Kaoru Fukui <fukui@ppc.linux.or.jp>
- Fit for ppc tcltk8.0.4
- Add ext.so for ppc
- Add ppc.patch

* Sat Nov 21 1998 Toru Hoshina <hoshina@best.com>
- re-build against RedHat 5.2 under libwcsmbs.

*  Thu Jul 30 1998 Toru Hoshina <hoshina@best.com>

- changed version based on 2.5

*  Thu Dec  4 1997 Dave Cook <dmcook@cts.com>

- added wmconfig entry

- added Buildroot

- added Prefix

%description
From the README:

Version 2.5

(C) 1996-1998 Henrik Harmsen

FileRunner is an X11 file manager for Unix. It is simple and efficient
and has a built-in FTP client.

FEATURES
========

  * Simple and powerful interface.
  * History and Hotlist (bookmarks).
  * Recursive directory menu of entire file system tree.
  * Browse FTP directories as easy as normal directories.
  * FTP capabilities:
    - Copy: FTP files/directories upload/download (recursive).
    - FTP Delete (recursive), FTP Makedir, FTP Rename.
    - Supports FTP through proxy.
    - FTP resume download function.
    - Rule based configuration of FTP site logins (password/user/proxy).
    - Asynchronous file transfer.
    - Cached directory listings.
  * Asynchronous file operations.
  * Built-in command shell windows. Synchronized with file panels.
    These have history, aliases and file name completion.
  * Extendable by adding your own command buttons.
  * Very configurable.
  * User defined file pattern / actions. (*.jpg -> launch image viewer etc.)
  * Distributed under the GNU General Public License.

%prep
%setup -n FileRunner-2.5
%patch0 -p1
%patch1 -p1

rm *.so* 
make -f Makefiles/Makefile.linux_gcc


%install

rm -fr Makefiles
rm ext.c
rm -fr ${RPM_BUILD_ROOT}/usr

mkdir -p ${RPM_BUILD_ROOT}/usr/lib/
mkdir -p ${RPM_BUILD_ROOT}/usr/bin/
cp -rp ../FileRunner-2.5 ${RPM_BUILD_ROOT}/usr/lib
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s /usr/lib/FileRunner-2.5/fr ${RPM_BUILD_ROOT}/usr/bin/fr
install -m644 -o root -g root $RPM_SOURCE_DIR/fr.wmconfig /etc/X11/wmconfig/FileRunner



%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,   root,root) %doc COPYING FAQ HISTORY KnownBugs.txt QuickStart.txt README Tips.txt Users_Guide.txt
%attr(-,   root,root) /usr/bin/fr
%attr(-,   root,root) /usr/lib/FileRunner-2.5
